package cd.casic.module.machine.entity;


import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.io.Serializable;

/**
 * 环境变量实体类
 */

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("machine_env")
public class MachineEnv extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 机器ID（唯一关联）
     */
    private Long machineId;

    /**
     * 环境变量键
     */
    private String envKey;

    /**
     * 环境变量值
     */
    private String envValue;

    /**
     * 是否敏感
     */
    private Boolean sensitive;

    /**
     * 描述信息
     */
    private String description;


    /**
     * 逻辑删除标志
     */
    @TableLogic
    private Boolean deleted;
}
